Skip to main content

GET /gpdomains/v2/timeseries/feedback_loop

GET 

gpdomains/v2/timeseries/feedback_loop

Retrieve daily Google Postmaster v2 feedback-loop identifier counts and spam rates by source across all or filtered Google Postmaster v2 monitored domains

Query Parameters​

stats_date_from string Required
Start date for filtering statistics. Use date-time without timezone because Google Postmaster records are stored as calendar-date records with the timestamp set to the start of that day. Example: 2021-07-06T00:00:00.000Z. Do not send timezone offsets

stats_date_to string Required
End date for filtering statistics. Use date-time without timezone because Google Postmaster records are stored as calendar-date records with the timestamp set to the start of that day. Example: 2021-08-06T00:00:00.000Z. Do not send timezone offsets. The difference between stats_date_from and stats_date_to must not exceed 30 days

domain string
Filter Google Postmaster v2 domains by a domain name substring

profile_id string
Filter Google Postmaster v2 domains by profile ID

compliance string
Filter by domain compliance status. Accepts a comma-separated string or JSON array of values.

Returns

  • dataarray
    Daily feedback-loop statistics in ascending UTC date order. A date is present when at least one source has an identifier.
    • datestring
      UTC calendar date for the statistics
    • all_dkimobject
      Statistics for identifiers from all DKIM domains
      • ratenumber
        Average spam rate across all_dkim identifiers
      • identifiers_countnumber
        Number of all_dkim feedback-loop identifiers for this date
    • from_headersobject
      Statistics for identifiers extracted from From headers
      • ratenumber
        Average spam rate across from_headers identifiers
      • identifiers_countnumber
        Number of from_headers feedback-loop identifiers for this date
Error Codes

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

500 Internal Server Error

Internal server error